Package org.springframework.core

# Interface DecoratingProxy

public interface DecoratingProxy
Interface to be implemented by decorating proxies, in particular Spring AOP proxies but potentially also custom proxies with decorator semantics.

Note that this interface should just be implemented if the decorated class is not within the hierarchy of the proxy class to begin with. In particular, a "target-class" proxy such as a Spring AOP CGLIB proxy should not implement it since any lookup on the target class can simply be performed on the proxy class there anyway.

Defined in the core module in order to allow `AnnotationAwareOrderComparator` (and potential other candidates without spring-aop dependencies) to use it for introspection purposes, in particular annotation lookups.

Since:
  4.3
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getDecoratedClass()`
Return the (ultimate) decorated class behind this proxy.

## Method Details

### getDecoratedClass

Class<?> getDecoratedClass()
Return the (ultimate) decorated class behind this proxy.

In case of an AOP proxy, this will be the ultimate target class, not just the immediate target (in case of multiple nested proxies).

Returns:
  the decorated class (never `null`)